Page MenuHomePhabricator

Create a beta host
Closed, ResolvedPublic

Description

For patch that are complex to test in local dev env like ones with encoding issues that could be great to have a clean test/staging/beta environment with a partial and safe db+patchets copy.

-Should we use puppet? Current config will use nfs, the same as prod one uses. That says same data, and is not what is wanted. So should we create a triage in puppet files for this staging env?
-Create a script that copy like 2000 last that have been run queries with corresponding entries in other db tables.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 8 2018, 10:10 PM

I think the current problem is that the results are stored on NFS, and you can't possibly "namespace" NFS with beta and production.

Created a "quarry-beta-01.quarry.eqiad.wmflabs" instance, I'll manually populate it w/o puppet nor nfs for a first test.

Krenair added a subscriber: Krenair.EditedNov 12 2018, 11:03 PM

It may be worth making the puppet manifest that can be told which environment it's in and choose where to store data appropriately.

Framawiki closed this task as Resolved.May 11 2019, 9:42 PM
Framawiki claimed this task.

Created manually https://quarry-dev.wmflabs.org/ without puppet.

Awesome thanks!